View a markdown version of this page

ListGatewayRules - Amazon Bedrock AgentCore Control Plane

ListGatewayRules

Lists all rules for a gateway.

Request Syntax

GET /gateways/gatewayIdentifier/rules?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

gatewayIdentifier

The identifier of the gateway to list rules for.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

maxResults

The maximum number of results to return in the response. If the total number of results is greater than this value, use the token returned in the response in the nextToken field when making another request to return the next batch of results.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The pagination token from a previous request.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "gatewayRules": [ { "actions": [ { ... } ], "conditions": [ { ... } ], "createdAt": "string", "description": "string", "gatewayArn": "string", "priority": number, "ruleId": "string", "status": "string", "system": { "managedBy": "string" }, "updatedAt": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

gatewayRules

The list of gateway rules.

Type: Array of GatewayRuleDetail objects

nextToken

The pagination token to use in a subsequent request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: